SHRED(1)

NAVN
shred - overwrite a file to hide its contents, and optionally delete it

OVERSIKT
shred [VALG]... FIL...

BESKRIVELSE

Overskriv valgt(e) FIL(er) flere ganger, slik at det blir vanskelig selv for svært kostbare gjenopprettingstjenester å finne igjen dataene.

Hvis FIL er «-», makuleres standardutdata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-f, --force
    Endre tillatelser slik at overskriving blir mulig, hvis nødvendig.

-n, --iterations=N
    Overskriv N antall ganger, i stedet for standard (3).

--random-source=FIL
    Hent vilkårlighetsdata fra FIL.

-s, --size=N
    Makuler N antall byte (suffiks som f.eks. K, M, G kan brukes).

-u  Forkort og fjern fil etter overskriving.

--remove[=HVORDAN]
    Likner -u, men lar deg kontrollere HVORDAN sletting skal utføres (se nedenfor).

-v, --verbose
    Vis framdrift.

-x, --exact
    Ikke rund av filstørrelser opp til nærmeste hele blokk.

    (dette er forvalgt for ikke-normale filer)

-z, --zero
    Overskriv med nuller til slutt for å skjule makulering.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

FIL(er) slettes hvis --remove (-u) er valgt. Dette er ikke standard, fordi det er vanlig å kjøre programmet på enhetsfiler som f.eks. /dev/hda, og slike filer bør normalt ikke slettes. Valgfritt HOW-parameter styrer hvordan mappeoppføringer skal fjernes. «unlink» => bruk et standard «unlink»-kall. «wipe» => som «unlink», men tilslører også byte i filnavnet. «wipesync» => som «wipe», men synkroniserer også tilslørte byte med disken. Standardmodus er «wipesync», som krever mye maskinkraft.

ADVARSEL: shred forventer at filsystemer og maskinvare overskriver data direkte. Selv om dette er vanlig, finnes det mange plattformer som ikke fungerer slik. Sikkerhetskopier og speilenheter kan dessuten inneholde kopier som gjør det praktisk mulig å gjenopprette en makulert fil senere. Les bruksanvisninga for GNU coreutils for mer info.

OPPHAVSMANN
Skrevet av Colin Plumb.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2020 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/shred>
eller lokalt: info '(coreutils) shred invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.